﻿@model Web.Models.Project
    <div class="modal fade" id="edit-project" tabindex="-1" role="dialog" aria-labelledby="addContactLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h2 class="text-center">Проект</h2>
                </div>
                <div class="modal-body">
                    <form asp-action="Edit" class="p-2">
                        <div class="validation" asp-validation-summary="ModelOnly" />
                        <div class="container">
                            <input name="IsValid" type="hidden" value="@ViewData.ModelState.IsValid.ToString()" />
                            <input asp-for="Id" type="hidden" />
                            <input asp-for="CountLink" type="hidden" />
                            <input asp-for="DateCreate" type="hidden" />
                            <input asp-for="UserId" type="hidden" />
                            <div class="form-group mb-2">
                                <label for="Name">Название проекта</label><br />
                                <input class="w-100" type="text" asp-for="Name" value="@Model.Name" /><br />
                                <span asp-validation-for="Name" />
                            </div>
                            <div class="form-group mb-2">
                                <label for="Description">Описание проекта</label><br />
                                <textarea class="w-100" asp-for="Description" type="text">@Model.Description</textarea><br />
                                <span asp-validation-for="Description" />
                            </div>
                            <div class="modal-footer d-flex justify-content-between">
                                <button type="button" class="btn btn-primary" data-save="modal">Сохранить</button>
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Отмена</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
